import request from '@/utils/request'

// 查询巡检记录管理列表
export function listCheck(query) {
  return request({
    url: '/taicangpop/check/list',
    method: 'get',
    params: query
  })
}

// 查询巡检记录管理详细
export function getCheck(id) {
  return request({
    url: '/taicangpop/check/' + id,
    method: 'get'
  })
}

// 新增巡检记录管理
export function addCheck(data) {
  return request({
    url: '/taicangpop/check',
    method: 'post',
    data: data
  })
}

// 修改巡检记录管理
export function updateCheck(data) {
  return request({
    url: '/taicangpop/check',
    method: 'put',
    data: data
  })
}

// 删除巡检记录管理
export function delCheck(id) {
  return request({
    url: '/taicangpop/check/' + id,
    method: 'delete'
  })
}

// 导出巡检记录管理
export function exportCheck(query) {
  return request({
    url: '/taicangpop/check/export',
    method: 'get',
    params: query
  })
}